Bug 1279180 - Cannot create unprivileged containers as a user [NEEDINFO]
Cannot create unprivileged containers as a user
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxc (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 07:52 EST by Kian Meng, Ang
Modified: 2017-01-10 10:34 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:31:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
martin: needinfo? (thomas.moschny)


Attachments (Terms of Use)

  None (edit)
Description Kian Meng, Ang 2015-11-08 07:52:28 EST
Description of problem:
Cannot create unprivileged containers as a user

Version-Release number of selected component (if applicable):
Fedora 23
lxc-1.1.4-2

How reproducible:


Steps to Reproduce:
1. sudo dnf install lxc lxc-libs lxc-devel lxc-extra lxc-templates
2. cp /etc/lxc/default.conf ~/.config/lxc/default.conf
3. sudo usermod --add-subuids 100000-165536 $USER
4. sudo usermod --add-subgids 100000-165536 $USER
5. echo "lxc.id_map = u 0 100000 65536" >> ~/.config/lxc/default.conf
6. echo "lxc.id_map = g 0 100000 65536" >> ~/.config/lxc/default.conf
7. sudo "root:100000:65536" > /etc/subuid
8. sudo "root:100000:65536" > /etc/subgid
9. sudo "$USER veth lxcbr0 10" > /etc/lxc/lxc-usernet
10. exec su -l $USER
11. lxc-create -t download -n n1 -- -d centos -r 6 -a amd64
12. lxc-start -n n1 -F

Actual results:
lxc-start: cgfs.c: lxc_cgroupfs_create: 849 Could not set clone_children to 1 for cpuset hierarchy in parent cgroup.
lxc-start: cgfs.c: cgroup_rmdir: 207 Read-only file system - cgroup_rmdir: failed to delete /sys/fs/cgroup/cpuset/
lxc-start: cgfs.c: cgroup_rmdir: 207 Read-only file system - cgroup_rmdir: failed to delete /sys/fs/cgroup/memory/
lxc-start: cgfs.c: cgroup_rmdir: 207 Read-only file system - cgroup_rmdir: failed to delete /sys/fs/cgroup/perf_event/
lxc-start: cgfs.c: cgroup_rmdir: 207 Read-only file system - cgroup_rmdir: failed to delete /sys/fs/cgroup/cpu,cpuacct/
lxc-start: cgfs.c: cgroup_rmdir: 207 Read-only file system - cgroup_rmdir: failed to delete /sys/fs/cgroup/hugetlb/
lxc-start: cgfs.c: cgroup_rmdir: 207 Permission denied - cgroup_rmdir: failed to delete /sys/fs/cgroup/devices/user.slice
lxc-start: cgfs.c: cgroup_rmdir: 207 Read-only file system - cgroup_rmdir: failed to delete /sys/fs/cgroup/blkio/
lxc-start: cgfs.c: cgroup_rmdir: 207 Read-only file system - cgroup_rmdir: failed to delete /sys/fs/cgroup/net_cls,net_prio/
lxc-start: cgfs.c: cgroup_rmdir: 207 Read-only file system - cgroup_rmdir: failed to delete /sys/fs/cgroup/freezer/
lxc-start: start.c: lxc_spawn: 940 failed creating cgroups
lxc-start: start.c: __lxc_start: 1172 failed to spawn 'n1'
lxc-start: lxc_start.c: main: 344 The container failed to start.
lxc-start: lxc_start.c: main: 348 Additional information can be obtained by setting the --logfile and --logpriority options.

Expected results:
lxc-start -n n1 -F

Additional info:
systemd issue? https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1346734
Comment 1 Fedora End Of Life 2016-11-24 08:12:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 10:31:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Martin Stefany 2016-12-25 12:41:26 EST
Is there any plan to support unprivileged containers in Fedora at all? Or even LXD? This thing was closed as EOL for F23, while even F25 doesn't support it. Can somebody switch it to Rawhide and provide some status, please?

Note You need to log in before you can comment on or make changes to this bug.